# Change Log

## [Unreleased](https://github.com/knsv/mermaid/tree/HEAD)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.4.0...HEAD)

**Implemented enhancements:**

- Add a css file, mermaid.css, with default styling [\#122](https://github.com/knsv/mermaid/issues/122)

**Closed issues:**

- Some examples not displayed on Firefox 36.0.1 [\#138](https://github.com/knsv/mermaid/issues/138)

- inoperable in an AMD/requirejs environment: IPython Notebook [\#127](https://github.com/knsv/mermaid/issues/127)

- Add capability for gantt diagrams [\#118](https://github.com/knsv/mermaid/issues/118)

- lower case v causes error in the parser [\#108](https://github.com/knsv/mermaid/issues/108)

- Label's css conflict with boostrap's .label [\#67](https://github.com/knsv/mermaid/issues/67)

**Merged pull requests:**

- Adding init argument to the global API [\#137](https://github.com/knsv/mermaid/pull/137) ([bollwyvl](https://github.com/bollwyvl))

- Add description of manual calling of init [\#136](https://github.com/knsv/mermaid/pull/136) ([bollwyvl](https://github.com/bollwyvl))

- Allow other forms of node selection for init\(\) [\#135](https://github.com/knsv/mermaid/pull/135) ([bollwyvl](https://github.com/bollwyvl))

- Use a library-level variable for assigning ids [\#134](https://github.com/knsv/mermaid/pull/134) ([bollwyvl](https://github.com/bollwyvl))

## [0.4.0](https://github.com/knsv/mermaid/tree/0.4.0) (2015-03-01)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.3.5...0.4.0)

**Implemented enhancements:**

- Assymetric shapes not documented [\#82](https://github.com/knsv/mermaid/issues/82)

- Improve arrows [\#3](https://github.com/knsv/mermaid/issues/3)

**Fixed bugs:**

- NoModificationAllowedError [\#23](https://github.com/knsv/mermaid/issues/23)

**Closed issues:**

- subgraph background is black in rendered flowchart PNG via CLI [\#121](https://github.com/knsv/mermaid/issues/121)

- Integrate editor at https://github.com/naseer/mermaid-webapp [\#110](https://github.com/knsv/mermaid/issues/110)

- Internet Explorer Support [\#99](https://github.com/knsv/mermaid/issues/99)

## [0.3.5](https://github.com/knsv/mermaid/tree/0.3.5) (2015-02-15)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.3.4...0.3.5)

## [0.3.4](https://github.com/knsv/mermaid/tree/0.3.4) (2015-02-15)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.3.3...0.3.4)

**Implemented enhancements:**

- Apply styling from css when using the CLI utility [\#85](https://github.com/knsv/mermaid/issues/85)

- Generated SVG works poorly outside web browsers [\#58](https://github.com/knsv/mermaid/issues/58)

- Generating SVG text blob for use in Node [\#2](https://github.com/knsv/mermaid/issues/2)

**Closed issues:**

- Subgraph syntax bug? [\#120](https://github.com/knsv/mermaid/issues/120)

- Live editor [\#115](https://github.com/knsv/mermaid/issues/115)

- Error in "Basic Syntax" wiki page [\#113](https://github.com/knsv/mermaid/issues/113)

- semicolons, anyone? [\#111](https://github.com/knsv/mermaid/issues/111)

- undefined `sequenceConfig` fails [\#109](https://github.com/knsv/mermaid/issues/109)

- Sequence Diagrams: Show Actors below as well [\#106](https://github.com/knsv/mermaid/issues/106)

- Allow overriding sequence diagram configuration \(SVG properties\) [\#103](https://github.com/knsv/mermaid/issues/103)

- Error when rendering A-- This is the text -- B [\#102](https://github.com/knsv/mermaid/issues/102)

- Clipping in documentation [\#97](https://github.com/knsv/mermaid/issues/97)

- isolate class styling to the svg container [\#92](https://github.com/knsv/mermaid/issues/92)

- Make the new graph declaration more visual [\#40](https://github.com/knsv/mermaid/issues/40)

**Merged pull requests:**

- Add live editor [\#119](https://github.com/knsv/mermaid/pull/119) ([naseer](https://github.com/naseer))

- Adds CSS option to the CLI [\#116](https://github.com/knsv/mermaid/pull/116) ([fardog](https://github.com/fardog))

- Update flowchart.md in response Issue \#113 [\#114](https://github.com/knsv/mermaid/pull/114) ([vijay40](https://github.com/vijay40))

- Ignore all files except the license and dist/ folder when installing with Bower. [\#112](https://github.com/knsv/mermaid/pull/112) ([jasonbellamy](https://github.com/jasonbellamy))

## [0.3.3](https://github.com/knsv/mermaid/tree/0.3.3) (2015-01-25)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.3.2...0.3.3)

**Implemented enhancements:**

- Support for dotted links [\#26](https://github.com/knsv/mermaid/issues/26)

**Closed issues:**

- Missing arrows in sequence diagram [\#98](https://github.com/knsv/mermaid/issues/98)

- Error with \>9 linkStyles [\#95](https://github.com/knsv/mermaid/issues/95)

**Merged pull requests:**

- Require d3 directly to better support Node usage [\#107](https://github.com/knsv/mermaid/pull/107) ([markdalgleish](https://github.com/markdalgleish))

- update doc with -c option [\#105](https://github.com/knsv/mermaid/pull/105) ([jjmr](https://github.com/jjmr))

- Add new parameter to the console client to override the svg configuration in sequence diagrams [\#104](https://github.com/knsv/mermaid/pull/104) ([jjmr](https://github.com/jjmr))

- Text based labels, new shape [\#101](https://github.com/knsv/mermaid/pull/101) ([bjowes](https://github.com/bjowes))

- fix html tags in example usage [\#100](https://github.com/knsv/mermaid/pull/100) ([deiwin](https://github.com/deiwin))

## [0.3.2](https://github.com/knsv/mermaid/tree/0.3.2) (2015-01-11)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.3.1...0.3.2)

**Implemented enhancements:**

- Make link text look like it is on the line [\#53](https://github.com/knsv/mermaid/issues/53)

**Closed issues:**

- disable auto render [\#91](https://github.com/knsv/mermaid/issues/91)

- Tidy breaks mermaid \(linebreaks in <div\>\) [\#87](https://github.com/knsv/mermaid/issues/87)

- Bug: <br\> being rendered as text in node [\#73](https://github.com/knsv/mermaid/issues/73)

- Graph edges appear to render outside of the canvas [\#70](https://github.com/knsv/mermaid/issues/70)

**Merged pull requests:**

- Merge pull request \#1 from knsv/master [\#96](https://github.com/knsv/mermaid/pull/96) ([gkchic](https://github.com/gkchic))

- Removed duplicated section in flowchart docs [\#94](https://github.com/knsv/mermaid/pull/94) ([kaime](https://github.com/kaime))

- Grammar changes to sequence page [\#93](https://github.com/knsv/mermaid/pull/93) ([gkchic](https://github.com/gkchic))

- Grammar changes to development page [\#90](https://github.com/knsv/mermaid/pull/90) ([gkchic](https://github.com/gkchic))

- Github buttons [\#89](https://github.com/knsv/mermaid/pull/89) ([gkchic](https://github.com/gkchic))

- Template change [\#88](https://github.com/knsv/mermaid/pull/88) ([gkchic](https://github.com/gkchic))

- New content template [\#86](https://github.com/knsv/mermaid/pull/86) ([gkchic](https://github.com/gkchic))

## [0.3.1](https://github.com/knsv/mermaid/tree/0.3.1) (2015-01-05)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.3.0...0.3.1)

**Implemented enhancements:**

- Support for sequence diagrams [\#16](https://github.com/knsv/mermaid/issues/16)

- Client utility for mermaid [\#6](https://github.com/knsv/mermaid/issues/6)

**Closed issues:**

- Non ASCII chars in labels [\#84](https://github.com/knsv/mermaid/issues/84)

- 'undefined' titles of Quicklinks on the usage page [\#80](https://github.com/knsv/mermaid/issues/80)

- \[cli\] Enhancement proposal: not fail --version / --help if phantomjs isn't installed [\#71](https://github.com/knsv/mermaid/issues/71)

**Merged pull requests:**

- Formatting of the CONTRIBUTING file [\#83](https://github.com/knsv/mermaid/pull/83) ([Grahack](https://github.com/Grahack))

- Flowchart doc: Text in the circle now in a circle [\#81](https://github.com/knsv/mermaid/pull/81) ([Grahack](https://github.com/Grahack))

- Fix for issue \#73 [\#79](https://github.com/knsv/mermaid/pull/79) ([it0a](https://github.com/it0a))

- Ink template [\#78](https://github.com/knsv/mermaid/pull/78) ([gkchic](https://github.com/gkchic))

- Index template file [\#77](https://github.com/knsv/mermaid/pull/77) ([gkchic](https://github.com/gkchic))

- Index template file [\#76](https://github.com/knsv/mermaid/pull/76) ([gkchic](https://github.com/gkchic))

- Show help and version even if phantom isn't present. Fixes \#71 [\#75](https://github.com/knsv/mermaid/pull/75) ([fardog](https://github.com/fardog))

- Add apostrophe & 'and' [\#72](https://github.com/knsv/mermaid/pull/72) ([sudodoki](https://github.com/sudodoki))

## [0.3.0](https://github.com/knsv/mermaid/tree/0.3.0) (2014-12-22)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.16...0.3.0)

**Implemented enhancements:**

- How do I do comments? [\#47](https://github.com/knsv/mermaid/issues/47)

- Improve readability with new line as terminator and whitespace [\#38](https://github.com/knsv/mermaid/issues/38)

**Fixed bugs:**

- This characters failed the lexical parsing [\#46](https://github.com/knsv/mermaid/issues/46)

**Closed issues:**

- Trailing whitespace at the end of lines is not ignored [\#55](https://github.com/knsv/mermaid/issues/55)

- Use classes instead of inline style for easy styling [\#24](https://github.com/knsv/mermaid/issues/24)

**Merged pull requests:**

- Adds Command Line Interface for generating PNGs from mermaid description files [\#69](https://github.com/knsv/mermaid/pull/69) ([fardog](https://github.com/fardog))

- Allow special symbols for direction along with acronyms [\#66](https://github.com/knsv/mermaid/pull/66) ([vijay40](https://github.com/vijay40))

## [0.2.16](https://github.com/knsv/mermaid/tree/0.2.16) (2014-12-15)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.15...0.2.16)

**Fixed bugs:**

- Lines routed outside visible area [\#19](https://github.com/knsv/mermaid/issues/19)

**Closed issues:**

- Mermaid not rendering properly on Wordpress pages [\#59](https://github.com/knsv/mermaid/issues/59)

- Improve example page with live demo [\#52](https://github.com/knsv/mermaid/issues/52)

- Does not render upon AngularJS Updates [\#45](https://github.com/knsv/mermaid/issues/45)

- Download link in README.MD doesn't work. [\#42](https://github.com/knsv/mermaid/issues/42)

- linkStyle usage is not obvious [\#41](https://github.com/knsv/mermaid/issues/41)

- Move \*.spec.js in src/ to test/ [\#35](https://github.com/knsv/mermaid/issues/35)

**Merged pull requests:**

- New grammar will allow statements ending without semicolon as disccused in Issue \#38 [\#63](https://github.com/knsv/mermaid/pull/63) ([vijay40](https://github.com/vijay40))

- Class based styling [\#62](https://github.com/knsv/mermaid/pull/62) ([bjowes](https://github.com/bjowes))

- Update from master [\#61](https://github.com/knsv/mermaid/pull/61) ([bjowes](https://github.com/bjowes))

- Fix typos [\#60](https://github.com/knsv/mermaid/pull/60) ([sublimino](https://github.com/sublimino))

- Included .DS\_Store in gitignore [\#57](https://github.com/knsv/mermaid/pull/57) ([alvynmcq](https://github.com/alvynmcq))

- Improves readablity discussed in issue \#38 [\#56](https://github.com/knsv/mermaid/pull/56) ([vijay40](https://github.com/vijay40))

- Added a linting task for gulp [\#43](https://github.com/knsv/mermaid/pull/43) ([serv](https://github.com/serv))

## [0.2.15](https://github.com/knsv/mermaid/tree/0.2.15) (2014-12-05)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.14...0.2.15)

**Fixed bugs:**

- Error with some characters [\#25](https://github.com/knsv/mermaid/issues/25)

- Cap-cased words break parser [\#8](https://github.com/knsv/mermaid/issues/8)

**Closed issues:**

- Question marks don't render properly with /dist/mermaid.full.min.js [\#30](https://github.com/knsv/mermaid/issues/30)

- Provide parse function in browser widthout `require`? [\#21](https://github.com/knsv/mermaid/issues/21)

- Better label text support [\#18](https://github.com/knsv/mermaid/issues/18)

**Merged pull requests:**

- Include bower\_components/ to .gitignore [\#33](https://github.com/knsv/mermaid/pull/33) ([serv](https://github.com/serv))

- Fixed reference to Git repo. [\#32](https://github.com/knsv/mermaid/pull/32) ([guyellis](https://github.com/guyellis))

## [0.2.14](https://github.com/knsv/mermaid/tree/0.2.14) (2014-12-03)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.13...0.2.14)

## [0.2.13](https://github.com/knsv/mermaid/tree/0.2.13) (2014-12-03)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.10...0.2.13)

**Implemented enhancements:**

- Publish to NPM [\#7](https://github.com/knsv/mermaid/issues/7)

**Closed issues:**

- modified init to be applied more than once [\#29](https://github.com/knsv/mermaid/issues/29)

- Wanted to know build process for the project. [\#28](https://github.com/knsv/mermaid/issues/28)

- can not support Chinese description [\#20](https://github.com/knsv/mermaid/issues/20)

- Support unicode chars in labels [\#9](https://github.com/knsv/mermaid/issues/9)

**Merged pull requests:**

- initial setup for editor page to generate graph through textarea input [\#14](https://github.com/knsv/mermaid/pull/14) ([ImanimalXI](https://github.com/ImanimalXI))

## [0.2.10](https://github.com/knsv/mermaid/tree/0.2.10) (2014-12-01)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.9...0.2.10)

## [0.2.9](https://github.com/knsv/mermaid/tree/0.2.9) (2014-12-01)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.8...0.2.9)

**Closed issues:**

- Add link to jsbin playground to README [\#11](https://github.com/knsv/mermaid/issues/11)

- What are the requirements ? [\#10](https://github.com/knsv/mermaid/issues/10)

**Merged pull requests:**

- Allow unicode chars in labels [\#13](https://github.com/knsv/mermaid/pull/13) ([codebeige](https://github.com/codebeige))

- Formatting Update [\#12](https://github.com/knsv/mermaid/pull/12) ([darrencauthon](https://github.com/darrencauthon))

## [0.2.8](https://github.com/knsv/mermaid/tree/0.2.8) (2014-12-01)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.7...0.2.8)

## [0.2.7](https://github.com/knsv/mermaid/tree/0.2.7) (2014-12-01)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.6...0.2.7)

**Closed issues:**

- Provide parser as separate module [\#4](https://github.com/knsv/mermaid/issues/4)

## [0.2.6](https://github.com/knsv/mermaid/tree/0.2.6) (2014-11-27)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.5...0.2.6)

## [0.2.5](https://github.com/knsv/mermaid/tree/0.2.5) (2014-11-27)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.4...0.2.5)

**Merged pull requests:**

- Added new shapes! [\#1](https://github.com/knsv/mermaid/pull/1) ([bjowes](https://github.com/bjowes))

## [0.2.4](https://github.com/knsv/mermaid/tree/0.2.4) (2014-11-25)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.3...0.2.4)

## [0.2.3](https://github.com/knsv/mermaid/tree/0.2.3) (2014-11-24)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.2...0.2.3)

## [0.2.2](https://github.com/knsv/mermaid/tree/0.2.2) (2014-11-22)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.1...0.2.2)

## [0.2.1](https://github.com/knsv/mermaid/tree/0.2.1) (2014-11-22)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.2.0...0.2.1)

## [0.2.0](https://github.com/knsv/mermaid/tree/0.2.0) (2014-11-22)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.1.1...0.2.0)

## [0.1.1](https://github.com/knsv/mermaid/tree/0.1.1) (2014-11-17)

[Full Changelog](https://github.com/knsv/mermaid/compare/0.1.0...0.1.1)

## [0.1.0](https://github.com/knsv/mermaid/tree/0.1.0) (2014-11-16)


\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*